Index: TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/command/SendToTreeSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/command/SendToTreeSearch.java	(revision 3878)
+++ TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/command/SendToTreeSearch.java	(revision 3879)
@@ -115,14 +115,14 @@
 		
 		if (word_id != null) {
 			//WordProperty p_id = editor.getCorpus().getProperty("id");
-			Selection sel = CQPSearchEngine.getEngine().query(editor.getCorpus(), new CQLQuery("[id=\""+word_id+"\" & _.text_id=\""+editor.getResult().getName()+"\"]"), "TMP", false);
+			Selection sel = CQPSearchEngine.getEngine().query(editor.getCorpus(), new CQLQuery("[id=\""+word_id+"\" & _.text_id=\""+editor.getResult().getName()+"\"]"), "TMP", false); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			if (sel.getNMatch() > 0) {
 				kp = sel.getMatches().get(0).getStart();
 			}
 		}
 		
 		if (kp == -1) {
-			Log.warning("No word found to show");
+			Log.warning(Messages.noWordFoundToShow);
 			return null;
 		}
 		
@@ -184,7 +184,7 @@
 		}
 		
 		if (ts == null) {
-			Log.warning("No syntactic index found.");
+			Log.warning(Messages.noSyntacticIndexFound);
 			return null;
 		}
 		//ts.setQuery(concordance.getQuery());
Index: TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/preferences/TreeSearchPreferencePage.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/preferences/TreeSearchPreferencePage.java	(revision 3878)
+++ TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/preferences/TreeSearchPreferencePage.java	(revision 3879)
@@ -25,14 +25,14 @@
 		this.addField(new StringFieldEditor(TreeSearchPreferences.DEFAULT_VISUALISATION, Messages.DefaultSyntacticVisualisation, this.getFieldEditorParent()));
 		
 		String[][] values = {
-				{"RATIO", "-2"},
-				{"OVER", "-1"}, 
-				{"ABOVE", ""+EModelService.ABOVE}, 
-				{"BELOW", ""+EModelService.BELOW}, 
-				{"LEFT_OF", ""+EModelService.LEFT_OF}, 
-				{"RIGHT_OF", ""+EModelService.RIGHT_OF}};
+				{"RATIO", "-2"}, //$NON-NLS-1$ //$NON-NLS-2$
+				{"OVER", "-1"},  //$NON-NLS-1$ //$NON-NLS-2$
+				{"ABOVE", ""+EModelService.ABOVE},  //$NON-NLS-1$ //$NON-NLS-2$
+				{"BELOW", ""+EModelService.BELOW},  //$NON-NLS-1$ //$NON-NLS-2$
+				{"LEFT_OF", ""+EModelService.LEFT_OF},  //$NON-NLS-1$ //$NON-NLS-2$
+				{"RIGHT_OF", ""+EModelService.RIGHT_OF}}; //$NON-NLS-1$ //$NON-NLS-2$
 		
-		backtotext_position = new ComboFieldEditor(TreeSearchPreferences.BACKTOTREE_POSITION, "Linked editor position", values, getFieldEditorParent());
+		backtotext_position = new ComboFieldEditor(TreeSearchPreferences.BACKTOTREE_POSITION, Messages.linkedEditorPosition, values, getFieldEditorParent());
 		addField(backtotext_position);
 	}
 	
Index: TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/messages.properties	(revision 3878)
+++ TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/messages.properties	(revision 3879)
@@ -11,7 +11,12 @@
 SelectionIsNotACorpusP0=Selection is not a corpus: {0}
 SelectionIsNotALineP0=Selection is not a Line: {0}
 DefaultSyntacticVisualisation=Default Syntactic annotation
+linkedEditorPosition=Linked editor position
+noSyntacticIndexFound=No syntactic index found.
+noWordFoundToShow=No word found to show
 SyntacticAnnotation=Syntactic annotation
 SyntacticTree=Syntactic tree
 SyntacticVisualisation=Syntactic representation
 SyntaxRepresentationP0=Syntax representations: {0}
+visualisation=Visualisation
+visualisationMode=Visualisation mode
Index: TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/Messages.java	(revision 3878)
+++ TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/rcp/Messages.java	(revision 3879)
@@ -33,9 +33,18 @@
 	public static String SyntacticTree;
 
 	public static String DefaultSyntacticVisualisation;
+
+	public static String linkedEditorPosition;
+	public static String noSyntacticIndexFound;
+
+	public static String noWordFoundToShow;
+
 	public static String SyntacticVisualisation;
 
 	public static String SyntaxRepresentationP0;
+	public static String visualisation;
+
+	public static String visualisationMode;
 	static {
 		// initialize resource bundle
 		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
Index: TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java	(revision 3878)
+++ TXM/trunk/bundles/org.txm.treesearch.rcp/src/org/txm/treesearch/editor/TreeSearchEditor.java	(revision 3879)
@@ -185,8 +185,8 @@
 		queryPanel.setLayout(qlayout);
 		
 		visuLabel = new Label(getMainParametersComposite(), SWT.NONE);
-		visuLabel.setToolTipText("Visualisation mode");
-		visuLabel.setText("Visualisation");
+		visuLabel.setToolTipText(Messages.visualisationMode);
+		visuLabel.setText(Messages.visualisation);
 		
 		visuCombo = new Combo(getMainParametersComposite(), SWT.READ_ONLY);
 		GridData gdataV = new GridData(SWT.FILL, SWT.CENTER, false, false);
@@ -208,13 +208,13 @@
 		});
 		
 		// first line
-		GLComposite line1 = new GLComposite(queryPanel, SWT.NONE, "line1");
+		GLComposite line1 = new GLComposite(queryPanel, SWT.NONE, "line1"); //$NON-NLS-1$
 		line1.getLayout().numColumns = 13;
 		line1.getLayout().horizontalSpacing = 5;
 		line1.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
 		
 		// second line
-		GLComposite line2 = new GLComposite(queryPanel, SWT.NONE, "line2");
+		GLComposite line2 = new GLComposite(queryPanel, SWT.NONE, "line2"); //$NON-NLS-1$
 		line2.getLayout().numColumns = 4;
 		line2.getLayout().horizontalSpacing = 5;
 		line2.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
@@ -269,7 +269,7 @@
 					queryAreaLabel.setVisible(true);
 					queryAreaLayoutData.grabExcessVerticalSpace = true;
 					queryAreaLayoutData.grabExcessHorizontalSpace = true;
-					if (currentSelector.getEngine().equals("UD")) {
+					if (currentSelector.getEngine().equals("UD")) { //$NON-NLS-1$
 						queryAreaLayoutData.minimumHeight = 0;
 						queryAreaLayoutData.heightHint = 00;
 					} else {
@@ -483,7 +483,7 @@
 		}
 		else {
 			visuCombo.removeAll();
-			visuCombo.setText("");
+			visuCombo.setText(""); //$NON-NLS-1$
 			visuCombo.setEnabled(false);
 			visuCombo.setVisible(false);
 			visuLabel.setVisible(false);
@@ -607,7 +607,7 @@
 				subSpinner.refresh();
 				reloadGraph();
 			} else {
-				svgPanel.setText("");
+				svgPanel.setText(""); //$NON-NLS-1$
 				sentSpinner.setEnabled(false);
 				subSpinner.setEnabled(false);
 			}
